Bug 216485 - net/6tunnel: port outdated, can be updated to 0.12
Summary: net/6tunnel: port outdated, can be updated to 0.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-26 10:12 UTC by Szymon Scholz
Modified: 2018-01-24 19:23 UTC (History)
1 user (show)

See Also:
bdrewery: maintainer-feedback+


Attachments
svn-diff-net_6tunnel (873 bytes, patch)
2018-01-09 04:31 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Szymon Scholz 2017-01-26 10:12:42 UTC
0.11.r2.20130525 --> 0.12 (24 Oct 2016)



Changes by Wojtek Kaniewski:

    make -4 and -6 work the way they were intended,
    remove -H option, but leave enough information for the users to get the same result,
    warn when both local and remote address are of the same type.

Changes by Jari Aalto:

    spelling fixes.

https://github.com/wojtekka/6tunnel/releases
Comment 1 Bryan Drewery freebsd_committer 2017-01-26 23:56:29 UTC
I don't have time to commit this right now, but it's fine to update it.
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-09 04:31:54 UTC
Created attachment 189554 [details]
svn-diff-net_6tunnel
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-01-09 04:32:22 UTC
Testbuilds 10.4.amd und 10.4-i386 ok.
Comment 4 Bryan Drewery freebsd_committer 2018-01-24 19:23:17 UTC
(In reply to w.schwarzenfeld from comment #3)
> Testbuilds 10.4.amd und 10.4-i386 ok.

Thanks for the patch, committed.
Comment 5 commit-hook freebsd_committer 2018-01-24 19:23:51 UTC
A commit references this bug:

Author: bdrewery
Date: Wed Jan 24 19:23:02 UTC 2018
New revision: 459885
URL: https://svnweb.freebsd.org/changeset/ports/459885

Log:
  - Update to 0.12

  Changes by Wojtek Kaniewski:

      make -4 and -6 work the way they were intended,
      remove -H option, but leave enough information for the users to get the same result,
      warn when both local and remote address are of the same type.

  Changes by Jari Aalto:

      spelling fixes.

  https://github.com/wojtekka/6tunnel/releases

  PR:		216485
  Submitted by:	w.schwarzenfeld@utanet.at

Changes:
  head/net/6tunnel/Makefile
  head/net/6tunnel/distinfo